let Genode = env:DHALL_GENODE

let Init = Genode.Init

let Child = Init.Child

let ServiceRoute = Init.ServiceRoute

in  Child.flat
      Child.Attributes::{
      , binary = "intel_fb_drv"
      , provides = [ "Framebuffer" ]
      , resources = Init.Resources::{ caps = 256, ram = Genode.units.MiB 48 }
      , routes =
        [ ServiceRoute.parent "IO_MEM"
        , ServiceRoute.parent "IO_PORT"
        , ServiceRoute.childLabel
            "Platform"
            "platform_drv"
            (None Text)
            (Some "intel_fb_drv")
        ]
      }
