let Genode = env:DHALL_GENODE

let Prelude = Genode.Prelude

let XML = Prelude.XML

let Init = Genode.Init

let Child = Init.Child

let Resources = Init.Resources

let ServiceRoute = Init.ServiceRoute

in  Child.flat
      Child.Attributes::{
      , binary = "show_input"
      , config = Init.Config::{
        , content =
          [ XML.element
              { name = "vfs"
              , attributes = XML.emptyAttributes
              , content =
                [ XML.element
                    { name = "dir"
                    , attributes = toMap { name = "fonts" }
                    , content =
                      [ XML.leaf
                          { name = "fs"
                          , attributes = toMap { label = "fonts" }
                          }
                      ]
                    }
                ]
              }
          ]
        }
      , resources = Resources::{ ram = Genode.units.MiB 32 }
      , routes =
        [ ServiceRoute.parent "File_system", ServiceRoute.parent "Gui" ]
      }
