let Genode = env:DHALL_GENODE

let ServiceRoute = Genode.Init.ServiceRoute

let Child = Genode.Init.Child

in  Child.flat
      Child.Attributes::{
      , binary = "vesa_fb_drv"
      , config = Genode.Init.Config::{
        , attributes = toMap { width = "1024", height = "768" }
        }
      , provides = [ "Framebuffer" ]
      , resources = Genode.Init.Resources::{
        , caps = 256
        , ram = Genode.units.MiB 16
        }
      , routes =
        [ ServiceRoute.parent "IO_MEM"
        , ServiceRoute.parent "IO_PORT"
        , ServiceRoute.childLabel
            "Platform"
            "platform_drv"
            (None Text)
            (Some "vesa_fb_drv")
        ]
      }
