{ config, pkgs, lib, ... }:

with lib;
let
  localPackages = pkgs.buildPackages;
  utils = import ../lib {
    inherit (config.nixpkgs) system localSystem crossSystem;
    inherit pkgs;
  };
in {
  genode.core = {
    prefix = "nova-";
    supportedSystems = [ "x86_64-genode" ];
    basePackages = with pkgs.genodePackages; [ base-nova rtc_drv ];
  };

  genode.boot = {

    initrd =
      "'${pkgs.genodePackages.NOVA}/hypervisor-x86_64 arg=iommu novpid serial,${config.genode.boot.image}/image.elf'";

    image =
      utils.novaImage config.system.name { } config.genode.boot.configFile;

  };

}
