let Genode = env:DHALL_GENODE

let Init = Genode.Init

let Child = Init.Child

let init =
      Init::{
      , children = toMap
          { solo5 =
              Child.flat
                Child.Attributes::{
                , binary = "solo5-test_blk"
                , exitPropagate = True
                , resources = Init.Resources::{
                  , caps = 256
                  , ram = Genode.units.MiB 3
                  }
                , routes = [ Init.ServiceRoute.parent "Timer" ]
                }
          , block =
              Child.flat
                Child.Attributes::{
                , binary = "vfs_block"
                , provides = [ "Block" ]
                , resources = Init.Resources::{ ram = Genode.units.MiB 12 }
                , config = Init.Config::{
                  , content =
                    [ Genode.Prelude.XML.text
                        ''
                        <vfs>
                          <ram/>
                          <import>
                            <zero name="block.raw" size="8M"/>
                          </import>
                        </vfs>
                        ''
                    ]
                  , policies =
                    [ Init.Config.Policy::{
                      , service = "Block"
                      , attributes = toMap
                          { file = "block.raw", writeable = "yes" }
                      , label =
                          Init.LabelSelector.Type.Partial
                            { prefix = Some "solo5", suffix = None Text }
                      }
                    ]
                  }
                }
          }
      }

in  Init.toChild init Init.Attributes.default
