{
  name = "solo5-multi";
  machine = { pkgs, ... }: {
    genode.init.children.tests = {
      configFile = builtins.toFile "solo5-multi.dhall"
        "${./.}/solo5.dhall { isAarch64 = ${
          if pkgs.stdenv.hostPlatform.isAarch64 then "True" else "False"
        } }";
      inputs = with pkgs.genodePackages; [
        nic_bridge
        nic_loopback
        ping
        sequence
        solo5
        solo5.tests
        vfs_block
        vfs_import
      ];
    };
  };
  testScript = ''
    start_all()
    machine.wait_until_serial_output("child \"tests\" exited with exit value 0")
  '';
}
